{
  "editor.codeActionsOnSave": {
    "source.fixAll": "explicit",
    "source.organizeImports": "explicit",
    "source.sortMembers": "explicit"
  },
  "editor.quickSuggestions": {
    "other": "on",
    "comments": "off",
    "strings": "on"
  },
  // 2. 确保在输入特定字符（如引号、等号）时立即触发提示
  "editor.suggestOnTriggerCharacters": true,
  // 3. 如果你在写属性名后进入了 Snippet 模式（光标在引号内），
  // 下面这一项设置为 false 可以防止 Snippet 模式阻塞建议列表
  "editor.suggest.snippetsPreventQuickSuggestions": false,
  "tailwindCSS.experimental.classRegex": [
    [
      "clsx\\(([^)]*)\\)",
      "(?:'|\"|`)([^']*)(?:'|\"|`)"
    ]
  ]
}